/*
 * @copyright Copyright (c) OX Software GmbH, Germany <info@open-xchange.com>
 * @license AGPL-3.0
 *
 * This code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with OX App Suite.  If not, see <https://www.gnu.org/licenses/agpl-3.0.txt>.
 *
 * Any use of the work other than as authorized under this license or copyright law is prohibited.
 *
 */

package com.openexchange.configjump.generic;

import com.openexchange.config.ConfigurationService;
import com.openexchange.osgi.HousekeepingActivator;

/**
 * Activator.
 * @author <a href="mailto:marcus@open-xchange.org">Marcus Klein</a>
 */
public class Activator extends HousekeepingActivator {

    private Services servicess;

    @Override
    protected Class<?>[] getNeededServices() {
        return null;
    }

    @Override
    protected synchronized void startBundle() throws Exception {
        Services servicess = new Services(context);
        track(ConfigurationService.class, new ConfigurationTracker(context, servicess));
        this.servicess = servicess;
        openTrackers();
    }

    @Override
    public synchronized void stopBundle() throws Exception {
        Services servicess = this.servicess;
        if (null != servicess) {
            this.servicess = null;
            servicess.unregisterService();
        }
        super.stopBundle();
    }
}
